<?php
/*date_default_timezone_set('UTC');
require('XLSXReader.php');
$xlsx = new XLSXReader('Book1.xlsx');
$sheetNames = $xlsx->getSheetNames();


function array2Table($data)
{
    echo '<table>';
    foreach ($data as $row) {
        echo "<tr>";
        foreach ($row as $cell) {
            echo "<td>" . escape($cell) . "</td>";
        }
        echo "</tr>";
    }
    echo '</table>';
}

function debug($data)
{
    echo '<pre>';
    print_r($data);
    echo '</pre>';
}

function escape($string)
{
    return htmlspecialchars($string, ENT_QUOTES);
}

function SMS_GENERATOR($fname, $lname, $card)
{

    $card = substr($card, 0, 4) . "***" . substr($card, strlen($card) - 4, 4);
    $SMS = "";
    $SMS .= "\n" . "$fname $lname عزیز";
    $SMS .= "\n" . "شما با کارت $card عضو شبکه تخفیف کاشان کارت هستید";
    $SMS .= "\n" . "هرچی لازم داری باتخفیف بخر حتی سوخت";
    $SMS .= "\n" . "فقط بگو از کارتخوان کاشان کارت بکش";
    $SMS .= "\n" . "فروشگاهها و ثبت کارت جدید:";
    $SMS .= "\n" . "Kashantc[.]ir";
    $SMS .= "\n" . "Kashancart اینستا";
    $SMS .= "\n" . "*6655*400030#";
    return $SMS;
}


$sheet = $xlsx->getSheet('Sheet1');
//echo SMS_GENERATOR("کاوند", "فرح مند", "1234123456781234");
$list = $sheet->getData();
for ($i = 1; $i < count($list); $i += 1) {
    $row = $list [$i];
//    echo $row[8] . "<br>";
    $mobile = $row[4];
    $name = $row[6];
    $family = $row[7];
    $card = $row[8];

    $message = SMS_GENERATOR($name, $family, $card);
    print_r(/*$message, *///$mobile);
//    break;
//}

//$data = array_map(function ($row) {
//    $converted = XLSXReader::toUnixTimeStamp($row[0]);
//    return array($row[0], $converted, date('c', $converted), $row[1]);
//}, $xlsx->getSheetData('Dates'));
//array_unshift($data, array('Excel Date', 'Unix Timestamp', 'Formatted Date', 'Data'));
//array2Table($data);*/